:tocdepth: 3

Reference
---------

High-level features
^^^^^^^^^^^^^^^^^^^

.. autoclass:: plotpy.plot.manager.PlotManager
   :members:
.. autoclass:: plotpy.plot.PlotOptions
   :members:
.. autoclass:: plotpy.plot.PlotWidget
   :members:
.. autoclass:: plotpy.plot.PlotDialog
   :members:
.. autoclass:: plotpy.plot.PlotWindow
   :members:
.. autoclass:: plotpy.plot.SyncPlotWindow
   :members:

Low-level features
^^^^^^^^^^^^^^^^^^

.. autoclass:: plotpy.constants.PlotType
   :members:
.. autoclass:: plotpy.plot.BasePlot
   :members:
.. autoclass:: plotpy.plot.BasePlotOptions
   :members:
